# Ansible PostgreSQL example

This example will deploy two nodes: a writer in the US and a reader in Canada.

## Steps

To create VMs, run:
```
./create_vms.sh
```

After that, deploy the ansible playbook by running:
```
ansible-playbook -i tmp/inventory.ini deploy_postgres.yaml
```

If you are running this from the [DeTEE CLI docker image](https://hub.docker.com/r/detee/detee-cli),
you will need to install ansible before running the previous command:
```
pacman -S ansible
```

You can inspect the VMs that got created by running:
```
detee-cli vm list
```
